<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum PriceType: string
{
    use HasValues;

    case DISTRIBUTOR = 'distributor';
    case AGEN = 'agent';
    case SUB_AGEN = 'sub_agent';
    case WHOLESALE = 'wholesale';
    case RETAIL = 'retail';
    case TIKTOK = 'tiktok';
    case SHOPEE = 'shopee';
    case CAPITAL = 'capital';
    case REJECT = 'reject';

    public function label(): string
    {
        return match ($this) {
            self::DISTRIBUTOR => 'Distributor',
            self::AGEN => 'Agen',
            self::SUB_AGEN => 'Sub Agen',
            self::WHOLESALE => 'Grosir',
            self::RETAIL => 'Ecer',
            self::TIKTOK => 'TikTok',
            self::SHOPEE => 'Shopee',
            self::CAPITAL => 'Modal',
            self::REJECT => 'Reject',
        };
    }
}
